Bug 236805 - [Enhancement] Ability to mark packages/package groups as important
[Enhancement] Ability to mark packages/package groups as important
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-17 14:51 EDT by Kelly Miller
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 15:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kelly Miller 2007-04-17 14:51:40 EDT
Regardless of anything else, there really ought to be a way to mark a 
package/set of packages as IMPORTANT and get yum/whatever to issue a warning 
("Warning: removing this component may break the system/prevent you from 
using GUI/whatever; are you sure you want to to do this?") if one of these 
important packages is marked for removal.

This might lead to less reports on the mailing lists from people who 
accidentally removed Xorg/KDE/GNOME/other big section of programs without 
knowing that the aforementioned big section of programs is necessary to 
provide the features the user expects to receive.

I'm not suggesting a prompt like the one in Vista ("Are you sure?" every 5 
minutes), but I think it'd be better if the user in question was at least 
warned about potentially system-breaking removals before the system goes 
through with them.
Comment 1 Jeff Johnson 2007-04-17 19:26:01 EDT
rpm-4.4.9 has per-transaction dependencies that can be configured on end-user susyems.

E.g.
    echo "/bin/sh" >> /etc/rpm/sysinfo/Requirename
will prevent the bash package (or whatever package contains /bin/sh)
from being removed.

UPSTREAM
Comment 2 Panu Matilainen 2007-07-18 15:16:20 EDT
Yum can do this by using protect-packages plugin, apt-rpm has it's own native
mechanism. So actually the tools that do support recursively removing packages'
dependencies already support the type of protection requested here.

WONTFIX on rpm terms, but check out yum-protect-packages plugin.


Note You need to log in before you can comment on or make changes to this bug.